Bug 868292 (mate-power-manager)

Summary: Review Request: mate-power-manager - MATE power management service
Product: [Fedora] Fedora Reporter: leigh scott <leigh123linux>
Component: Package ReviewAssignee: Rex Dieter <rdieter>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dan.mashal, notting, package-review, rdieter
Target Milestone: ---Flags: rdieter: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-10-30 04:58:47 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 840149    

Description leigh scott 2012-10-19 08:35:48 EDT
Spec URL: http://leigh123linux.fedorapeople.org/pub/review/mate-power-manager/1/mate-power-manager.spec

SRPM URL: http://leigh123linux.fedorapeople.org/pub/review/mate-power-manager/1/mate-power-manager-1.4.0-1.fc17.src.rpm

Description: MATE Power Manager uses the information and facilities provided by UPower
displaying icons and handling user callbacks in an interactive MATE session.

Fedora Account System Username: leigh123linux
Comment 1 Rex Dieter 2012-10-19 08:54:21 EDT
*** Bug 845697 has been marked as a duplicate of this bug. ***
Comment 2 Rex Dieter 2012-10-19 09:41:24 EDT
initial comments:

1. SHOULD do verbose build, please use V=1 flag, 
make %{?_smp_mflags} V=1

2. Why 
Requires: mate-icon-theme
?
(it's already pulled in lower in the stack by mate-settings-daemon and mate-file-manager, so may or may not really be wanted here anyway)
Comment 4 Rex Dieter 2012-10-19 10:09:31 EDT
Thanks, APPROVED.

(the rpmlint items are mostly harmless, imo)


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[ ]: Package contains no bundled libraries.
[ ]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[ ]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[ ]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[ ]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "GPL (v2 or later)",
     "Unknown or generated". 3 files have unknown license. Detailed output of
     licensecheck in /home/rdieter1/pkgs.fedoraproject.org/work/mate/review-
     mate-power-manager/licensecheck.txt
[ ]: The spec file handles locales properly.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[ ]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mate-power-manager-1.4.0-1.fc18.x86_64.rpm
          mate-power-manager-debuginfo-1.4.0-1.fc18.x86_64.rpm
          mate-power-manager-1.4.0-1.fc18.src.rpm
mate-power-manager.x86_64: W: only-non-binary-in-usr-lib
mate-power-manager.x86_64: W: non-conffile-in-etc /etc/mateconf/schemas/mate-power-manager.schemas
mate-power-manager.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/mate-power-manager.desktop
mate-power-manager.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-power-manager-1.4.0/COPYING
mate-power-manager.x86_64: W: no-manual-page-for-binary mate-power-bugreport.sh
mate-power-manager.x86_64: W: no-manual-page-for-binary mate-power-backlight-helper
mate-power-manager.x86_64: W: dangerous-command-in-%pre rm
mate-power-manager.x86_64: W: dangerous-command-in-%post rm
mate-power-manager-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-power-manager-1.4.0/src/gsd-media-keys-window.h
3 packages and 0 specfiles checked; 2 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mate-power-manager mate-power-manager-debuginfo
mate-power-manager.x86_64: W: only-non-binary-in-usr-lib
mate-power-manager.x86_64: W: non-conffile-in-etc /etc/mateconf/schemas/mate-power-manager.schemas
mate-power-manager.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/mate-power-manager.desktop
mate-power-manager.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-power-manager-1.4.0/COPYING
mate-power-manager.x86_64: W: no-manual-page-for-binary mate-power-bugreport.sh
mate-power-manager.x86_64: W: no-manual-page-for-binary mate-power-backlight-helper
mate-power-manager.x86_64: W: dangerous-command-in-%pre rm
mate-power-manager.x86_64: W: dangerous-command-in-%post rm
mate-power-manager-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-power-manager-1.4.0/src/gsd-media-keys-window.h
2 packages and 0 specfiles checked; 2 errors, 7 warnings.
# echo 'rpmlint-done:'



Requires
--------
mate-power-manager-1.4.0-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    dbus-x11
    libMateCORBA-2.so.0()(64bit)
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libXrandr.so.2()(64bit)
    libXrender.so.1()(64bit)
    libart_lgpl_2.so.2()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libcanberra-gtk.so.0()(64bit)
    libcanberra.so.0()(64bit)
    libdbus-1.so.3()(64bit)
    libdbus-glib-1.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libmate-2.so.0()(64bit)
    libmate-keyring.so.1()(64bit)
    libmate-panel-applet-2.so.1()(64bit)
    libmatecanvas-2.so.0()(64bit)
    libmatecomponent-2.so.0()(64bit)
    libmatecomponent-activation.so.4()(64bit)
    libmatecomponentui-2.so.0()(64bit)
    libmateconf-2.so.4()(64bit)
    libmatenotify.so.1()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpopt.so.0()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libunique-1.0.so.0()(64bit)
    libupower-glib.so.1()(64bit)
    mate-icon-theme
    rtld(GNU_HASH)

mate-power-manager-debuginfo-1.4.0-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    



Provides
--------
mate-power-manager-1.4.0-1.fc18.x86_64.rpm:
    
    mate-power-manager = 1.4.0-1.fc18
    mate-power-manager(x86-64) = 1.4.0-1.fc18

mate-power-manager-debuginfo-1.4.0-1.fc18.x86_64.rpm:
    
    mate-power-manager-debuginfo = 1.4.0-1.fc18
    mate-power-manager-debuginfo(x86-64) = 1.4.0-1.fc18



MD5-sum check
-------------
http://pub.mate-desktop.org/releases/1.4/mate-power-manager-1.4.0.tar.xz :
  CHECKSUM(SHA256) this package     : 84943d4ab97c400af428a1dba90898e068114ff7a6a62d8d546a98279cd554a9
  CHECKSUM(SHA256) upstream package : 84943d4ab97c400af428a1dba90898e068114ff7a6a62d8d546a98279cd554a9


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -n mate-power-manager --cache --verbose
Comment 5 leigh scott 2012-10-19 10:50:57 EDT
New Package SCM Request
=======================
Package Name: mate-power-manager
Short Description: MATE power management service
Owners: leigh123linux rdieter vicodan
Branches: f16 f17 f18 
InitialCC::
Comment 6 Rex Dieter 2012-10-19 10:58:25 EDT
no need to reset the review flag. :)
Comment 7 Jon Ciesla 2012-10-19 11:13:59 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-10-23 08:08:13 EDT
mate-power-manager-1.4.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-16609/mate-power-manager-1.4.0-2.fc17
Comment 9 Fedora Update System 2012-10-23 08:08:46 EDT
mate-power-manager-1.4.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-16561/mate-power-manager-1.4.0-2.fc18